#
# spec file for package rplay (Version 3.3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  readline readline-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rplay
Copyright:    GPL
Group:        Applications/Sound
Provides:     rplay33
Requires:     mpg123 xmp
Autoreqprov:  on
Version:      3.3.2
Release:      226
Summary:      Sound daemon
URL:          http://rplay.doit.org/
Source:       ftp://rplay.doit.org/pub/rplay/rplay-%{version}.tar.gz
Patch0:       rplay-%{version}.patch
Patch1:       rplay-%{version}-ia64.patch
Patch2:       rplay-%{version}-conf.patch
BuildRoot:    /var/tmp/%{name}-build

%description
rplay is a sound package which handles local as well as network sound
output. A lot of programs use this daemon for sound output.

Authors:
--------
    Mark Boyns <boyns@sdsu.edu>

SuSE series: snd

%prep
%setup
%patch0
%patch1
%patch2

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} \
				--infodir=%{_infodir} --sysconfdir=/etc/rplay
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/bin/rplayd
(cd $RPM_BUILD_ROOT/usr/bin; ln -s ../sbin/rplayd rplayd)
mkdir -p $RPM_BUILD_ROOT/etc/rplay
install -m 644 -o root -g root rplay.files $RPM_BUILD_ROOT/etc/rplay/rplay.files
install -m 644 -o root -g root rplay.hosts $RPM_BUILD_ROOT/etc/rplay/rplay.hosts
install -m 644 -o root -g root rplay.servers $RPM_BUILD_ROOT/etc/rplay/rplay.servers
install -m 644 -o root -g root etc/rplay.helpers $RPM_BUILD_ROOT/etc/rplay/rplay.helpers
mkdir -p $RPM_BUILD_ROOT/$RPM_DOC_DIR/rplayd
mkdir -p $RPM_BUILD_ROOT/$RPM_DOC_DIR/rplayd/doc
cp -a ChangeLog README README.linux  NEWS TODO $RPM_BUILD_ROOT/$RPM_DOC_DIR/rplayd
cp -a doc/RPLAY.* doc/RPTP.* doc/librplay.* doc/rplay.info doc/rplay.texi $RPM_BUILD_ROOT/$RPM_DOC_DIR/rplayd/doc
install -d $RPM_BUILD_ROOT/sbin/conf.d
install -m 744 SuSEconfig.rplay $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 rc.config.rplay $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.rplay

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.rplay
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.rplay and"
  echo "update by hand."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %{_defaultdocdir}/rplayd/
/sbin/conf.d/*
/usr/bin/*
/usr/sbin/*
%config /etc/rplay/*
/usr/include/*
%doc %{_infodir}/*
%attr(755,-,-) /usr/lib/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*
%doc %{_mandir}/man5/*
/var/adm/fillup-templates/*

%changelog -n rplay
* Fri Jul 20 2001 - pmladek@suse.cz
- fixed etc/rplay.helpers for xmp
- added mpg123 and xmp to Requires
* Thu May 17 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Thu Apr 05 2001 - nadvornik@suse.cz
- moved config files from /usr/etc to /etc/rplay
- added configuration for xpilot
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sat Oct 28 2000 - kukuk@suse.de
- Real fix for glibc 2.2
* Fri Oct 27 2000 - kukuk@suse.de
- fix compiling with glibc 2.2
* Tue May 16 2000 - vinil@suse.cz
- update to 3.3.2
- buildroot added
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/info -> /usr/share/info
* Mon Jan 17 2000 - ro@suse.de
- update to 3.3.1 / man -> usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 13 1998 - 
- upgraded to version 3.3.0 of rplay
- rplayd must now be started with the switch --inetd from /etc/inetd.conf
* Thu Jul 02 1998 - ro@suse.de
- fixed bash2-bug in SuSEconfig.rplay
* Tue Mar 10 1998 - bs@suse.de
- fixed problems with ro mounted /usr
* Wed Oct 22 1997 - ro@suse.de
- removed install/doinst.sh from specfile-filelist
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Fri May 16 1997 - bs@suse.de
- removed *.new -> orig stuff behavior, since is not neded for rpm.
  ChangeLog fr <rplay>
  =========================
  * <Sun Sep  1 08:17:33 MET DST 1996>:
- Anpassungen an xforms-0.81.
  * <Sat Aug 31 02:53:40 MET DST 1996>:
- Erzeugung von /usr/etc/rplay.conf mittels SuSEconfig
- Parameter in /etc/rc.config
